.header {
    position:fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 7%;
    background-color: transparent;
    display: flex;
    align-items: center;
    z-index: 100;
    transition: .5s;
}

.header.sticky {
    background: var(--bg-color);
    box-shadow: 0 .1rem 1rem var(--shadow-color);
}

.logo{
    font-size: 2.5rem;
    color: var(--main-color);
    font-weight: 600;
    cursor: default;
    margin-right: auto;
}

.navbar a{
    position: relative;
    font-size: 1.7rem;
    color: var(--white-color);
    font-weight: 500;
    margin-right: 3.5rem;
}

.header.sticky .navbar a {
    color: var(--text-color);
}

.header.sticky .navbar a.active {
    color: var(--main-color);
}

.navbar a.active::before {
    content: '';
    position:absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: .2rem;
    background-color: var(--white-color);
}

.header.sticky .navbar a::before{
    background-color: var(--main-color);
    opacity: .7;
} 

#darkMode-icon{
    font-size: 2.4rem;
    color: var(--white-color);
    cursor: pointer;
}

.header.sticky #darkMode-icon {
    color: var(--text-color);
    opacity: .9;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
}